Open Bug 1719881 Opened 1 year ago Updated 3 days ago

High frequency dom/media/test/test_capture_stream_av_sync.html | test 0 times, a/v is out of sync!

Categories

(Core :: Audio/Video: Playback, defect, P5)

defect

Tracking

()

REOPENED

People

(Reporter: intermittent-bug-filer, Unassigned, NeedInfo)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure, leave-open, test-disabled, Whiteboard: [stockwell disabled])

Attachments

(2 files)

Filed by: archaeopteryx [at] coole-files.de
Parsed log: https://treeherder.mozilla.org/logviewer?job_id=344784186&repo=try
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/YftuDkOwRcStikcs9JNimA/runs/0/artifacts/public/logs/live_backing.log


[task 2021-07-09T12:25:13.712Z] 12:25:13     INFO - TEST-PASS | dom/media/test/test_capture_stream_av_sync.html | test 1 times, a/v is in sync! 
[task 2021-07-09T12:25:13.713Z] 12:25:13     INFO - change playback rate from 0.25 to 0.5
[task 2021-07-09T12:25:13.713Z] 12:25:13     INFO - skip the first audible frame
[task 2021-07-09T12:25:13.713Z] 12:25:13     INFO - Buffered messages logged at 12:25:13
[task 2021-07-09T12:25:13.714Z] 12:25:13     INFO - paint audible frame
[task 2021-07-09T12:25:13.714Z] 12:25:13     INFO - find the square in diff=15.1875
[task 2021-07-09T12:25:13.714Z] 12:25:13     INFO - timeOffset=0.034499999999999975, frameOffset=2.1562499999999982
[task 2021-07-09T12:25:13.715Z] 12:25:13     INFO - adjusted diff to 13.031250000000002 (time=3.0345)
[task 2021-07-09T12:25:13.719Z] 12:25:13     INFO - data:image/png;base64,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
[task 2021-07-09T12:25:13.719Z] 12:25:13     INFO - Buffered messages finished
[task 2021-07-09T12:25:13.720Z] 12:25:13     INFO - TEST-UNEXPECTED-FAIL | dom/media/test/test_capture_stream_av_sync.html | test 0 times, a/v is out of sync! 
[task 2021-07-09T12:25:13.720Z] 12:25:13     INFO -     SimpleTest.ok@SimpleTest/SimpleTest.js:417:16
[task 2021-07-09T12:25:13.720Z] 12:25:13     INFO -     testAVSync/</analyser.notifyAnalysis@dom/media/test/test_capture_stream_av_sync.html:161:11
Status: NEW → RESOLVED
Closed: 11 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 11 months ago8 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 8 months ago6 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 6 months ago3 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

test_capture_stream_av_sync is still intermittent when running under asan,
even though it was disabled for tsan in bug 1713397. This gets much worse
then run under accelerated Canvas2D, so just disable it for asan for now
as well to solve the intermittent.

Assignee: nobody → lsalzman
Pushed by lsalzman@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/5c520a3b53a5
Disable test_capture_stream_av_sync on Linux asan. r=aosmond
Status: REOPENED → RESOLVED
Closed: 3 months ago2 months ago
Resolution: --- → FIXED
Target Milestone: --- → 102 Branch
Status: RESOLVED → REOPENED
Keywords: test-disabled
Resolution: FIXED → ---
Assignee: lsalzman → nobody

This started failing frequently on linux1804-64-qr debug after changes in Bug 1770088. Retriggers here.
Lee, should this be disabled further? It already has https://searchfox.org/mozilla-central/source/dom/media/test/mochitest.ini#779

[test_capture_stream_av_sync.html]
skip-if =
    toolkit == 'android' # 1712598 (canvas error)
    (verify && os == 'mac') # 1517199 (timeout-on-osx)
    (os == "linux" && (tsan || asan)) # 1713397, 1719881 (high intermittent failure on linux tsan)
    apple_silicon # Disabled due to bleedover with other tests when run in regular suites; passes in "failures" jobs
Flags: needinfo?(lsalzman)
Target Milestone: 102 Branch → ---
Assignee: nobody → lsalzman
Flags: needinfo?(lsalzman)
Pushed by lsalzman@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/24a4e5c043a6
Disable test_capture_stream_av_sync.html on Linux debug. r=aosmond,gfx-reviewers
Status: REOPENED → RESOLVED
Closed: 2 months ago1 month ago
Resolution: --- → FIXED
Target Milestone: --- → 102 Branch
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Whiteboard: [stockwell disabled]
Target Milestone: 102 Branch → ---
Keywords: leave-open
Assignee: lsalzman → nobody

Hi Lee. This seems to be spiking on opt now since on the rest of the build types it's disabled. Should we update the disabling condition to include opt too?

Recent failures: https://treeherder.mozilla.org/intermittent-failures/bugdetails?startday=2022-05-23&endday=2022-05-30&tree=trunk&bug=1719881

Flags: needinfo?(lsalzman)

Accelerated Canvas 2D seems to have increased the costs of readbacks (like getImageData) from the canvas enough that this test is unreliable on Linux, please advise?

Flags: needinfo?(lsalzman) → needinfo?(alwu)
Summary: Intermittent dom/media/test/test_capture_stream_av_sync.html | test 0 times, a/v is out of sync! → High frequency dom/media/test/test_capture_stream_av_sync.html | test 0 times, a/v is out of sync!
You need to log in before you can comment on or make changes to this bug.